<?php

require_once("/var/www/html/aws/aws-autoloader.php");
use Aws\S3\S3Client;
use Aws\S3\Exception\S3Exception;

function GetAllSelectDropdownKus($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$degreecode = $aobj_context->mobj_data["degree"];

	$collcode = $_SESSION['collcode'];
	if($collcode == 'LSYS' || 'VKU' || $collcode = 'kus')
		$collegeList="SELECT distinct  s.FCOLLCODE as internal_code, concat(s.FCOLLCODE,' - ',FCOLLNAME,' , ',FTOWN) as value 
					from college inner join studadm s on s.fcollcode = college.fcollcode  order by s.fcollcode";
	else
	{	
		$collegeList="SELECT  FCOLLCODE as internal_code, concat(FCOLLCODE,' - ',FCOLLNAME,' , ',FTOWN) as value from college 
		where FCOLLCODE = '{$collcode}'";
	}	
	$lobj_collegeList = $aobj_context->mobj_db->getAll($collegeList);
	
	if($lobj_collegeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_collegeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}

}

function GetCollegeDegreeDropdownKus($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $aobj_context->mobj_data["collcode"];
	$degreeList="SELECT distinct c.FDEGREE as internal_code, concat(c.fdegree,' - ',d.FDESCPN) as value from colldeg c inner join degree d 
	on c.FDEGREE = d.FDEGREE 
	inner join studadm s on s.fdegree = c.fdegree and d.fexamno = s.fexamno
	where s.fcollcode='{$collcode}' and IFNULL(c.FDELETED,'F') <> 'T' 
	order by c.FDEGREE";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}

}

function GetCollegeDegreeCombDropdownKus($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $aobj_context->mobj_data["collcode"];
	$degreeList="SELECT distinct c.FDEGREE as internal_code, d.FDESCPN as value from colldeg c inner join degree d 
	on c.FDEGREE = d.FDEGREE 
	where fcollcode='{$collcode}' and IFNULL(c.FDELETED,'F') <> 'T' 
	order by c.FDEGREE";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function GetAdmissionListKus($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = trim($aobj_context->mobj_data["collcode"]);
	$degcode = trim($aobj_context->mobj_data["degcode"]);
	$combcode = trim($aobj_context->mobj_data["combcode"]);
	$apprstatus = trim($aobj_context->mobj_data["apprstatus"]);
	
	if($collcode == 'All' && $degcode == 'All' && $combcode == 'All' && $apprstatus == 'All')
	{
		$serchAll = 'where';
	}
	else
	{
		$serchAll = 'Where';
	}
	
	$searchColl = '';
	if($collcode != 'All')
	{
		$searchColl = "s.FCOLLCODE='{$collcode}'";
	}
	else
	{
		$searchColl = '1=1';
	}
	
	$searchDegree = '';
	if($degcode != 'All')
	{
		$searchDegree = "and s.FDEGREE='{$degcode}'";
	}else
	{
		$searchDegree = ' and 1=1';
	}
	
	$searchComb = '';
	if($combcode != 'All')
	{
		$searchComb = "and FCOMBCODE='{$combcode}'";
	}else
	{
		$searchComb = ' and 1=1';
	}
	/* $searchAppr = '';
	if($apprstatus =  'All')
	{
		$searchAppr = "and FAPPRSTATUS='{$apprstatus}'";
	}else
	{
		$searchAppr = ' and 1=1';
	} */

	$searchAppr = '';
	if($apprstatus ==  'Deleted')
	{
		$searchAppr = "and fdeleted ='T'";
	}else if($apprstatus ==  'Approval Pending')
	{
		$searchAppr = "and ifnull(FAPPRSTATUS,'') = ''";
	}else if($apprstatus ==  'Approved')
	{
		$searchAppr = "and ifnull(FAPPRSTATUS,'') = 'APPROVED'";
	}else
	{
		$searchAppr = ' and 1=1';
	}		
	
	$admlist = "select s.*, c.FCOLLNAME,group_concat(distinct o.fsubcode) as subject,
				concat('https://university-student-photos.s3.ap-south-1.amazonaws.com/003/',ifnull(s.FPHOTOPATH,'-')) as FPHOTOPATH
				from studadm s 
				inner join college c on c.FCOLLCODE = s.FCOLLCODE
				inner join options o on s.fcollcode = o.fcollcode and s.fdegree = o.fdegree and s.fslno = o.fslno 	
				{$serchAll} {$searchColl} {$searchDegree} {$searchComb} {$searchAppr} and ifnull(s.fdeleted,'') <> 'T'
				group  by s.fslno,s.fdegree,s.fcollcode 
				order by s.fdegree,s.fcollcode,s.fslno";
	$lobj_admList = $aobj_context->mobj_db->getAll($admlist);
	
	$Table_Header.="<table  cellspacing='0' width='98%' class='tr_ventor_row' cellpadding='0' border='0' >";
	$Table_Header.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Sl. No.</center></td>";
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Photo</center></td>";
	$Table_Header.="<td  style='padding:2px; width:80px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Admission No.</center></td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Student Name</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Gender</center></td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Caste</center></td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Subject Code</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Degree</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Adm. Fee</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Approve<center><input type = 'checkbox' onclick='Checkalladmapplication(this.id);' id = 'arun'></center></td>";
	$Table_Header.="</tr>";
	$index=0;
	 $receive_checkbox="<input type='checkbox'  id='receive_check_box_{$FDOCNO}'><input type = 'hidden' id = 'ack_hidden{$sl_no}' value = '{$FDOCNO}'>";
	foreach($lobj_admList as $key=>$val)
	{
		++$index;
		$border_bottom="";
		//if($cnt==count($lobj_admList))
			$id = $val['FSLNO'].'~'.$val['FDEGREE'].'~'.$val['FCOLLCODE'];
		//$id = $val['FSLNO'];
		if($val['FAPPRSTATUS'] == 'APPROVED')
			$disabled = "disabled checked";
		else
			$disabled = "";// disabled
		$border_bottom="border-bottom:1px solid #ccc;";
		$data_details.="<tr class={$class} style='font-size:20px;' >";
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'>{$index}</td>";			
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'><img width='60px' height='60px' src='{$val[FPHOTOPATH]}'/></td>";			
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'><a href='#' style='text-decoration:none;color:blue;' onclick=ViewStudentDetailsForApprove('{$val[FSLNO]}','{$val[FDEGREE]}','{$val[FCOLLCODE]}')>{$val['FSLNO']}</a> </td>";			
		$data_details.="<td align='left' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FNAME]}</td>";
		$data_details.="<td  align='center' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FGENDER]}</td>";
		$data_details.="<td  align='center' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FCASTE]}</td>";
		$data_details.="<td style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val['subject']}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FDEGREE]}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[TOTAL_FEE]}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'><input type = 'checkbox' {$disabled} id='adm_check_box_{$id}'><input type = 'hidden' id = 'adm_check_box_{$index}' value = '{$id}'</td>";
		$data_details.="</tr>";
		 $cnt++;
	}
	
	$e_data['admtable'] = $Table_Header.$data_details;
	$e_data['cnt'] = $index;
	echo $aobj_context->mobj_output->ToJSONEnvelope($e_data,0,"success"); 
}

function getAppStudentDetailsKus($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 	
	session_start();   //and FDELETED = 'F'
	$sl_no = "0000".$aobj_context->mobj_data["sl_no"]; 
	$degree = $aobj_context->mobj_data["degree"]; 
	$collcode = $aobj_context->mobj_data["collcode"]; 
	$sl_no=substr($sl_no, -4);  
	$degree = $aobj_context->mobj_data["degree"]; 
	
	/* $get_student_details_slno = "select s.*, s.FSLNO,s.FDEGREE,d.FDESCPN,s.FEXAMNO,s.FCOLLCODE,s.FNAME, 
	s.FFATNAME,s.FMOTNAME,DATE_FORMAT(s.FDOB,'%d/%m/%Y') as FDOBirth  ,FCATBIRTH,
	s.Fgender,s.FCASTE,s.FNATIONAL,s.FENGLISH,s.FCURRADD1, REG_FEE,EXAM_FEE,GRADE_CARD_FEE,TOTAL_FEE,
	s.FCURRADD2,s.FCURRADD3,s.FCURRADD4,s.FPERMADD1,s.FPERMADD2,s.FPERMADD3,s.FPERMADD4,DATE_FORMAT(s.FADMDATE,'%d/%m/%Y') as FADMISDATE,
	s.FSUBDEGREE,s.FPHOTOPATH,s.FLATERAL_ENTRY,s.FBLOOD_GROUP,s.FCONTACT_NO,s.FEMAIL,s.FMOT_OCC,s.FFAT_OCC,
	s.FREC_ORDER_NO,DATE_FORMAT(s.FREC_ORDER_DATE,'%d/%m/%Y') as FREC_ORDER_DATE,
	s.FAFF_ORDER_NO,DATE_FORMAT(s.FAFF_ORDER_DATE,'%d/%m/%Y') as FAFF_ORDER_DATE,
	s.FRELIGION,ifnull(s.FDELETED,'F') as FDELETED,FFEEPAID,FRECNO,date_format(FRECDATE,'%d/%m/%Y') as FRECDATE,
	FREMARKS,FCOMBCODE,FMOBILE_NO,ifnull(FPASSMNTH,'') as FPASSMNTH,ifnull(FPASSYER,'') as FPASSYER,ifnull(FMARKSECURED,'') as FMARKSECURED,
	ifnull(FMARKTOTAL,'') as FMARKTOTAL, ifnull(FPERMARK,'') as FPERMARK
	from studadm s 
	inner join  degree d on d.FDEGREE=s.FDEGREE
	where s.FSLNO='{$sl_no}' and s.FDEGREE='{$degree}' 
	and s.FCOLLCODE='{$collcode}' and d.FEXAMNO='A'";	 
	 */

	
		$get_student_details_slno = "select s.FSLNO,s.FDEGREE,d.FDESCPN,s.FEXAMNO,s.FCOLLCODE,s.FNAME, 
							s.FFATNAME,s.FMOTNAME,s.FAPPRSTATUS,
							DATE_FORMAT(s.FDOB,'%Y') as FDOB_Year ,
							DATE_FORMAT(s.FDOB,'%b') as FDOB_month ,
							DATE_FORMAT(s.FDOB,'%d') as FDOB_date  ,
							s.Fgender,s.FCASTE,s.FNATIONAL,s.FENGLISH,s.FCURRADD1,
							 REG_FEE,EXAM_FEE,GRADE_CARD_FEE,TOTAL_FEE,
							s.FCURRADD2,s.FCURRADD3,s.FCURRADD4,s.FPERMADD1,s.FPERMADD2,s.FPERMADD3,s.FPERMADD4,
							s.FSUBDEGREE,s.FPHOTOPATH,s.FLATERAL_ENTRY,s.FBLOOD_GROUP,s.FCONTACT_NO,s.FEMAIL,s.FMOT_OCC,s.FFAT_OCC,
							s.FREC_ORDER_NO,
							DATE_FORMAT(s.FREC_ORDER_DATE,'%d/%m/%Y') as FREC_ORDER_DATE,
							s.FAFF_ORDER_NO,
							DATE_FORMAT(s.FAFF_ORDER_DATE,'%d/%m/%Y') as FAFF_ORDER_DATE,
							s.FRELIGION,
							ifnull(s.FDELETED,'F') as FDELETED
							from studadm s 
							inner join  degree d on d.FDEGREE=s.FDEGREE
							where s.FSLNO='{$sl_no}' and s.FDEGREE='{$degree}' 
							and s.FCOLLCODE='{$collcode}' and d.FEXAMNO='A'";
	//var_dump($get_student_details_slno);						
	$lobj_get_student_details = $aobj_context->mobj_db->getRow($get_student_details_slno);
	
	if(!empty($lobj_get_student_details) && $lobj_get_student_details[FDELETED] == 'F' )
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_student_details,0,"success"); 
		return;
	}
	else if(!empty($lobj_get_student_details) && $lobj_get_student_details[FDELETED] == 'T' )
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_student_details,-1,"Disabled"); 
		return;		
	}
	else if(empty($lobj_get_student_details) )
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_student_details,-2,"Failure"); 
		return;
	}
}


function getAppStudsubApprTotalKus($aobj_context)
{
	session_start();
	$degree_code = $aobj_context->mobj_data["degree_code"]; 	
	$exam = $aobj_context->mobj_data["exam"]; 	
	$sl_no = $aobj_context->mobj_data["sl_no"]; 
	$collcode = $aobj_context->mobj_data["collcode"]; 
	$sub_degree = trim($aobj_context->mobj_data["sub_degree"]); 	
	$combination = trim($aobj_context->mobj_data["combination"]);
	$degree_code=(!empty($sub_degree))?$sub_degree:$degree_code;
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 	
	$get_sub_total=" select FTOTSUB from degree where FDEGREE= '{$degree_code}' and FEXAMNO='{$exam}'";
	$lobj_sub_total = $aobj_context->mobj_db->getRow($get_sub_total);
		
		$total_sub=$lobj_sub_total['FTOTSUB'];
		//echo $total_sub; die();
	
		
		$get_exsting_data="	select a.*,b.FSUBNAME,b.FSUBSHORT,FMANDATORY from 
							(select FDEGREE,FEXAMNO,FCOLLCODE,FSLNO,FSUBCODE from options
							where FSLNO='{$sl_no}' and FCOLLCODE='{$collcode}' 
							and FEXAMNO='{$exam}' and FDEGREE='{$degree_code}') a
							left join 
							(select s.FDEGREE,
							FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
							s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
							where d.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}') b 
							on a.FSUBCODE=b.FSUBCODE
							and a.FDEGREE=b.FDEGREE
							group by FSUBCODE limit {$total_sub}
							 ";
		  
		 $lobj_get_exsting_data = $aobj_context->mobj_db->getAll($get_exsting_data);
		 
	    
	// get true sub Names
		 
		$get_true_sub_names="select FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
				s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
				where d.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' and FMANDATORY='T'
				union
				select s.FSUBCODE,s.FSUBNAME,s.FSUBSHORT ,'T' as FMANDATORY from degree d inner join subject s on 
				s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
				left join mascomb m on m.fcombcode = '{$combination}'
				where d.FDEGREE='{$degree_code}'  and INSTR(m.FSUBCODE, s.FSUBCODE)  
				group by  s.FSUBCODE";	
		$lobj_get_true_sub_names = $aobj_context->mobj_db->getAll($get_true_sub_names);	
	 
		$e_data.="<table  width='94%' class='tr_ventor_row' cellspacing='0' cellpadding='0' border='0' >";
		//$e_data.="<th align='left' colspan='3' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Subjects Appearing</th>";		
		$e_data.="<tr style='font-size:12px;' class='ui-state-default ui-jqgrid-hdiv'>";		
		$e_data.="<td  style='padding:2px; width:60px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Sub Code</td>";
		$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Short Name</td>";
		$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Subject Name</td>";
		$e_data.="</tr>";
		
		$k=0;
		$id=0;
		 
	 
		if(empty($lobj_get_exsting_data))
		{
		$remaining_count=$total_sub-count($lobj_get_true_sub_names);
		//echo 'aa';			
			foreach($lobj_get_true_sub_names as $key=>$value)
			{
			  /* 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				} */  
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow'>";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px;'><input  tabindex=-1  {$inp_class} type=text style='width:60px;border:none;' readonly id='se_sub_code_{$id}' value='{$value[FSUBCODE]}' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);'></td>";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:60px;' {$inp_class}  tabindex=-1  readonly id='se_short_name_{$id}' value='{$value[FSUBSHORT]}'></td>";
				 $e_data.="<td  class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:290px;' {$inp_class} id='se_sub_name_{$id}'  tabindex=-1   readonly value='{$value[FSUBNAME]}'> </td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}
			$name=''; 
$pmode =0;			
			if($pmode == 0)
			{
				$last_slno_execution ="  select s.FSUBCODE, s.FSUBSHORT, s.FSUBNAME 
											from subject s inner join options d on 									
											s.FDEGREE=d.FDEGREE  and  s.FEXAMNO=d.FEXAMNO and 
											d.fsubcode = s.fsubcode and d.FCOLLCODE='{$college_code}' and
											s.fssubname != 'I.A.' and s.FMANDATORY = 'F' and
											s.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' and 
											d.fslno = 
											( select MAX(s.fslno) from studadm s 
											where s.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' 
											AND FCOLLCODE='{$college_code}' ) group by    s.FSUBCODE
										";
				$lobj_last_slno_execution = $aobj_context->mobj_db->getAll($last_slno_execution);	
			}	
			 
		//	var_dump($lobj_last_slno_execution); die();  			
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}  
		}
		else
		{
		$flag=0;
		$remaining_count=$total_sub-count($lobj_get_exsting_data);
			for($h=0;$h<count($lobj_get_exsting_data);$h++)
			{
				$read_only=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?"readOnly":''; 
				$border=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?" border:none;":''; 
				$on_blur =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onblur='getSubDetails( this.id,{$id});' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' ":'';
				$focus_id =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onfocus=\$g_focus_element='se_sub_code_{$id}' ":'';
				   
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}
				if(($lobj_get_exsting_data[$h]['FMANDATORY']=='F') && $flag==0)
				{
				$name="name='focus'";
				$flag=1;
				}else
				$name='';
			 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
			 $e_data.="<td class='tbl_row_new' align='center'style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; padding:1px;'><input type='text' {$input_class} {$on_blur } {$name} {$read_only} align='center' {$focus_id} value='{$lobj_get_exsting_data[$h]['FSUBCODE']}' disabled style = 'width:60px;{$border}'id='se_sub_code_{$id}'>  </td>";
			 
			 $e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'   {$read_only} style = 'width:60px;border:none;'  {$inp_class} value='{$lobj_get_exsting_data[$h]['FSUBSHORT']}' id='se_short_name_{$id}'></td>";
			 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text'   {$read_only} style = 'width:290px;border:none;' {$inp_class}  value='{$lobj_get_exsting_data[$h]['FSUBNAME']}' id='se_sub_name_{$id}'></td>";
			 $e_data.="</tr>";
			 $k++;
			 $id++;
			}
			$k=0;
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}
		}		
		 
		
		$e_data.="</table>";
		$arr['html']=$e_data;
		$arr['table_data']=$lobj_get_true_sub_names;
		$arr['remaining_count']=$remaining_count;
		$arr['total_count']=$id;
		// var_dump($arr['total_count']); die();
	echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	return;  			
}


function updateAdmissionStatusKus($aobj_context)
{

	session_start();
	$u_id = $_SESSION['user_id'];
	$log_name = $_SESSION['usr'];

		$checked_app_nos = $obj_context->mobj_data["arun"];
		
		$exp_arr=explode(",",$checked_app_nos);
		
		foreach($exp_arr as $apk)
		{
			$college = explode('-',$apk);
				
		}
	$sl_no = "0000".$aobj_context->mobj_data["slno"]; 
	$degree = $aobj_context->mobj_data["degree"]; 
	$collcode = $aobj_context->mobj_data["college"]; 
	$sl_no=substr($sl_no, -4);  
	$degree = $aobj_context->mobj_data["degree"];
	$appr_status = $aobj_context->mobj_data["appr_status"]; 
	
	
	$updateAdmStatus = "update studadm set FAPPRSTATUS = '{$appstatus}',FAPPRDATE =now(),FAPPRUSERNAME = '{$log_name}', FAPPRUSERID = '{$u_id}' where FCOLLCODE = '{$collcode}' and FDEGREE = '{$degree_code}' and FSLNO = '{$sl_no}'";
	$lobj_updateAdmStatus = $aobj_context->mobj_db->Execute($updateAdmStatus);
	
	if($lobj_updateAdmStatus)
	{
		$data = 'Status Updated Succesfully';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($updateAdmStatus,-1,"failure"); 
	}
}

function updateadmAdmissionStatusKus($aobj_context)
{

	session_start();
	$u_id = $_SESSION['user_id'];
	$log_name = $_SESSION['usr'];

		$checked_app_nos = $obj_context->mobj_data["arun"];
		var_dump($checked_app_nos);
		$exp_arr=explode(",",$checked_app_nos);
		var_dump($exp_arr);
		foreach($exp_arr as $apk)
		{
			$college = explode('-',$apk);
			var_dump($college);	
		}
	
	$updateAdmStatus="update studadm set FAPPRSTATUS = '{$appstatus}',FAPPRDATE =now(),FAPPRUSERNAME = '{$log_name}', FAPPRUSERID = '{$u_id}' where FCOLLCODE = '{$collcode}' and FDEGREE = '{$degree_code}' and FSLNO = '{$sl_no}'";
	$lobj_updateAdmStatus = $aobj_context->mobj_db->Execute($updateAdmStatus);
	
	if($lobj_updateAdmStatus)
	{
		$data = 'Status Updated Succesfully';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($updateAdmStatus,-1,"failure"); 
	}
}
?>