<?php
$main_src=substr($_SERVER['SCRIPT_FILENAME'],0,strlen($_SERVER['SCRIPT_FILENAME'])-7);
//$pdf_writer_class =$main_src."/tarka_pdf/fpdf.php";
$pdf_writer_class =$main_src."/tcpdf/tcpdf.php";
require_once($pdf_writer_class);
ini_set('memory_limit','900M');
ini_set('max_execution_time',0);

class MYPDF extends TCPDF {
    public $aobj_context;
     
    public function setData($aobj_context){
    	$this->aobj_context = $aobj_context;
    }
    public function Header() {
        // get the current page break margin
        $bMargin = $this->getBreakMargin();
        // get current auto-page-break mode
        $auto_page_break = $this->AutoPageBreak;
        // disable auto-page-break
        $this->SetAutoPageBreak(false, 0);
        // set bacground image

        $this->SetMargins(10,34,20,true);	
		$this->SetFillColor(248, 248 ,255);		
		$img_path = $this->aobj_context->main_src."/img/logo.jpg";
		
		if(file_exists($img_path)) 
			$this->Image($img_path,10,6,20,20);
		
		$this->SetFont('Times','B',13);
		$this->SetY(5);
		$this->Cell(0,4,$this->aobj_context->FUNIVNAME,0,1,'C');
		//state
		$this->SetFont('Times','',11);
		$this->Cell(0,4,$this->aobj_context->s_state,0,1,'C');
		$this->SetFont('Times','B',12);
		$this->Cell(0,4,'College : '.$this->aobj_context->col_name,0,1,'C');
				 
		$this->SetFont('Times','B',12);
		$this->Ln(1);
		
		$cur_year = date("Y");
		$this->Cell(180,5,'Application for Admission ('.$cur_year.')','0',1,'C');

		$this->Ln(1);
		$this->Cell(180,5,'Course : '.$this->aobj_context->degree,'0',1,'C');
		$this->Ln(1);

		$style = array(
			'position' => 'right',
			'align' => 'C',
			'stretch' => false,
			'fitwidth' => true,
			'cellfitalign' => '',
			'border' => false,
			'hpadding' => 'auto',
			'vpadding' => 'auto',
			'fgcolor' => array(0,0,0),
			'bgcolor' => false, //array(255,255,255),
			'text' => true,
			'font' => 'helvetica',
			'fontsize' => 8,
			'stretchtext' => 4
		);
		// var_dump($this->aobj_context->FAPPNO);
		$this->write1DBarcode($this->aobj_context->FAPPNO, 'C39', '140', '20','130', 16, 0.3, $style, 'R');
        // restore auto-page-break status
        $this->SetAutoPageBreak($auto_page_break, $bMargin);
        // set the starting point for the page content    
    }

    public function Footer() 
    {
        $this->SetY(-15);
        $this->SetFont('helvetica', 'I', 8);
        $this->Cell(50, 10,'IP : '.$_SERVER["REMOTE_ADDR"], 0, 0, 'L');
        $this->Cell(100, 10,'Date : ' .$this->aobj_context->current_date, 0, 0, 'C');

        $this->Cell(50, 10,'Page ' .$this->getPageNumGroupAlias().'/'.$this->getPageGroupAlias(), 0, 1, 'R');
    }
}

class AddmissionApplication
{	
	function DefaultConstructor($aobj_context)
	{
		$this->aobj_context=$aobj_context;
		//$this->pdf=  new FPDF();
		$this->collcode=$_SESSION['collcode'];
		$this->ip=$_SERVER["REMOTE_ADDR"];
		$get_date="select DATE_FORMAT(now(), '%d/%m/%Y') as now_date";
		$obj=$this->aobj_context->mobj_db->GetRow($get_date);

		$get_coll_name="select FUNIVNAME as 'FUNIVNAME',FUNIVCODE,
		FUNIVADD1 as 'state', pdf_logo_path,
		ifnull(FEXAMAPPREQ,'F') as FEXAMAPPREQ From control";

		$lobj_get_coll_name=$this->aobj_context->mobj_db->GetRow($get_coll_name);
		
		$aobj_context->FUNIVNAME=$lobj_get_coll_name['FUNIVNAME'];
		$aobj_context->s_state=$lobj_get_coll_name['state'];
		$aobj_context->pdf_logo_path=$lobj_get_coll_name['pdf_logo_path'];
		$aobj_context->FEXAMAPPREQ=$lobj_get_coll_name['FEXAMAPPREQ'];
		$aobj_context->FUNIVCODE=$lobj_get_coll_name['FUNIVCODE']; 

		$get_college_name="select concat(FCOLLNAME,', ',FTOWN) as col_name from college where FCOLLCODE='{$aobj_context->fcollcode}'";
		$lobj_get_college_name = $this->aobj_context->mobj_db->GetRow($get_college_name);
		$aobj_context->col_name = $lobj_get_college_name['col_name'];
		$this->aobj_context->current_date =  $obj[now_date];
		$app_no = trim($aobj_context->mobj_data["app_no"]);
		$query = "select d.fdescpn as degree from studadm s inner join degree d on s.fdegree = d.fdegree and d.fexamno = 'a' and fappno = '{$app_no}'";
		$result = $this->aobj_context->mobj_db->GetRow($query);
		$aobj_context->degree = $result['degree'];
		$this->aobj_context->current_date =  $obj[now_date];

		$this->current_date = $obj[now_date];

		$this->pdf= new MYPDF('P');
		$this->pdf->setData($aobj_context);
		
	}
 
	function formcolldata()
	{
		$get_coll_name="select FUNIVNAME as 'FUNIVNAME',FUNIVCODE,
		FUNIVADD1 as 'state', pdf_logo_path,
		ifnull(FEXAMAPPREQ,'F') as FEXAMAPPREQ From control";

		$lobj_get_coll_name=$this->aobj_context->mobj_db->GetRow($get_coll_name);
		
		$this->FUNIVNAME=$lobj_get_coll_name['FUNIVNAME'];
		$this->s_state=$lobj_get_coll_name['state'];
		$this->pdf_logo_path=$lobj_get_coll_name['pdf_logo_path'];
		$this->FEXAMAPPREQ=$lobj_get_coll_name['FEXAMAPPREQ'];
		$this->FUNIVCODE=$lobj_get_coll_name['FUNIVCODE']; 
	}
	
		
	function writeApplication($per_details, $subjects,$upload)
	{

		$pdf=$this->pdf;

		$pdf->SetMargins(10,30,20,false);
		$pdf->startPageGroup();
		$pdf->AddPage("P");

		$pdf->SetFont('Times','',11);

		//====================Personal Details====================================
		$html = '<h3 style="background-color: #918988; color: rgb(255, 255, 255);"> Personal Details</h3>';
		$x = $pdf->GetX();
		$y = $pdf->GetY();
		$pdf->writeHTMLCell(188,0,$x,$y,$html, false,1, false, true, '', false);
		$pdf->ln(2);
		$path = realpath(__DIR__ . '/../..');
		// var_dump($path.'/'.$per_details['fphotopath']);
		$i= 1;

		$table1 = '<style>
			td {
			    border: 0.5px solid black;
			}
			.lable {
				font-weight: bold;
			}
		 </style>
		<table cellpadding="3" cellspacing="0">
			<tr nobr="true">
				<td width="150" class="lable">Application No.</td>
				<td width="270" colspan="2" style = "font-size:15px;">'.$per_details['FAPPNO'].'</td>
				<td width="100" rowspan="5"><img width="100" height="100" src="'.$path.'/'.$per_details['fphotopath'].'" ></td>
		</tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Name of the Applicant</td>
				<td width="270" colspan="2">'.$per_details['FNAME'].'</td></tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable" >Father`s /Guardian`s Name</td>
				<td width="270" colspan="2">'.$per_details['FFATNAME'].'</td></tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Mother`s Name</td>
				<td width="270" colspan="2">'.$per_details['FMOTNAME'].'</td></tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Date of Birth</td>
				<td width="135">'.$per_details['fdob'].'</td>
				<td width="70" class="lable">Gender</td>
				<td width="65">'.$per_details['FSEX'].'</td>
				</tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Nationality</td>
				<td width="135">'.$per_details['FNATIONAL'].'</td>
				<td width="70" class="lable">Religion</td>
				<td width="65">'.$per_details['freligion'].'</td>
				<td width="100" rowspan="2"><img width="100" height="30" src="'.$path.'/'.$per_details['fsignpath'].'" ></td>
				</tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Caste</td>
				<td width="135">'.$per_details['FCATBIRTH'].'</td>
				<td width="70" class="lable">Category</td>
				<td width="65" >'.$per_details['FCASTE'].'</td>
				</tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Aadhaar No.</td>
				<td width="135">'.$per_details['FAADHARNO'].'</td>
				<td width="135" class="lable">Blood Group</td>
				<td width="100" >'.$per_details['fblood_group'].'</td>
				</tr>';

		$table1 .='<tr nobr="true">
				<td width="150" class="lable">Rural / Urban</td>
				<td width="135">'.$per_details['FAREA'].'</td>
				<td width="135" class="lable">Annual family Income</td>
				<td width="100">'.$per_details['FINCOME'].'</td>
				</tr>';

		$table1 .= '</table>';

		$pdf->SetX(11);
		$pdf->writeHTML($table1, true, true, false, false, 'L');

		$html = '<h3 style="background-color: #918988; color: rgb(255, 255, 255);"> Communication Details</h3>';
		$x = $pdf->GetX();
		$y = $pdf->GetY();
		$pdf->writeHTMLCell(188,0,$x,$y,$html, false,1, false, true, '', false);
		$pdf->ln(2);

		$table2 = '<style>
			td {
			    border: 0.5px solid black;
			}
			.lable {
				font-weight: bold;
			}
		 </style>
		<table cellpadding="3" cellspacing="0">
			<tr nobr="true">
				<td width="150" class="lable">Permanent Address</td>
				<td width="370">'.$per_details['fperadd'].'</td>
		</tr>';

		$table2 .= '<tr nobr="true">
				<td width="150" class="lable">Communication Address</td>
				<td width="370">'.$per_details['fcuradd'].'</td>
		</tr>'; 

		$table2 .= '<tr nobr="true">
				<td width="150" class="lable">Email Address</td>
				<td width="370">'.$per_details['FEMAIL'].'</td>
		</tr>'; 

		$table2 .= '<tr nobr="true">
				<td width="150" class="lable">Mobile No.</td>
				<td width="110">'.$per_details['FCONTACT_NO'].'</td>
				<td width="150" class="lable">Contact No.</td>
				<td width="110">'.$per_details['fmobileno'].'</td>
		</tr>'; 

		$table2 .= '<tr nobr="true">
				<td width="150" class="lable">Parents mobile No.</td>
				<td width="370">'.$per_details['fmobileno'].'</td>
		</tr>';
		
		$table2 .= '</table>';
		$pdf->SetX(11);
		$pdf->writeHTML($table2, true, true, false, false, 'L');

		//====================Degree Details====================================
		$html = '<h3 style="background-color: #918988; color: rgb(255, 255, 255);"> Subjects Opted</h3>';
		$x = $pdf->GetX();
		$y = $pdf->GetY();
		$pdf->SetMargins(10,30);
		$pdf->writeHTMLCell(188,0,$x,$y,$html, false,1, false, true, '', false);
		$pdf->ln(2);
		
		$i = 1;
		$head = '<style>
			td {
			    border: 0.5px solid black;
			}
		 </style>
		 <table cellpadding="3" cellspacing="0">';
		
		//====================Subject Details====================================
		$table2 = '<style>
			td, th {
			    border: 0.5px solid black;
			}
		 </style>
		<table cellpadding="2" cellspacing="0">
			<tr nobr="true"><th width="40" align="center"><b>Sl. No.</b></th>
				<th width="60" align="center"><b>Subject Code</b></th>
				<th width="360" align="center"><b>Subject Name</b></th>
				<th width="60" align="center"><b>Short Name</b></th>
			</tr>';
		$i=1;
		foreach ($subjects as $key => $value) 
		{
			$table2 .= '<tr nobr="true">
				<td width="40" align="center">'.$i.'</td>
				<td width="60" align="center">'.$value['fsubcode'].'</td>
				<td width="360">'.$value['fsubname'].'</td>
				<td width="60" align="center">'.$value['fsubshort'].'</td></tr>';
			$i++;
		}

		$table2 .='</table>';
		$pdf->SetX(11);
		if(count($subjects)>0)
			$pdf->writeHTML($table2, true, true, false, false, 'L');
		
		$pdf->AddPage("P");
		
		$html = '<h3 style="background-color: #918988; color: rgb(255, 255, 255);"> Qualifying Examination Details</h3>';
		$x = $pdf->GetX();
		$y = $pdf->GetY();
		$pdf->writeHTMLCell(188,0,$x,$y,$html, false,1, false, true, '', false);
		$pdf->ln(1);

		$pdf->SetX(11);
		
		$query = "SELECT fboardname FROM masboard WHERE fboardcode = '{$per_details['FUNIVNAME']}'";
		$obj_univ =  $this->aobj_context->mobj_db->GetRow($query); 
		$per_details['FUNIVNAME'] = $obj_univ['fboardname'];

		$table4 = '<style>
			td {
			    border: 0.5px solid black;
			}
		 </style><table cellpadding="3" cellspacing="0">
		  <tr nobr="true">
				<td width="200" ><b>Name of the Class / qualifying examination last studied</b></td>
				<td width="320" >'.$per_details['FTYPEQUALEXAM'].'</td>
		</tr>
		 <tr nobr="true">
				<td width="200" ><b>Name of the board last studied</b></td>
				<td width="320" >'.$per_details['FUNIVNAME'].'</td>
		</tr>';

		/*$table4 .= '<tr nobr="true">
				<td width="200" ><b>Subjects studied along with Languages</b></td>
				<td width="320" >'.'Kannada, English, Physics, Chemistry, Mathematics'.'</td>
		</tr>';*/

		$table4 .= '</table>';
		$pdf->SetX(11);
		$pdf->writeHTML($table4, true, true, false, false, 'L');

		$table5 = '<style>
			td, th {
			    border: 0.5px solid black;
			}
		 </style>
		 <table cellpadding="3" cellspacing="0">
			<tr nobr="true">
			<thead>
				<th width="100" align="center"><b>Reg. No.</b></th>
				<th width="100" align="center"><b>Month & Year</b></th>
				<th width="110" align="center"><b>Max. Marks</b></th>
				<th width="110" align="center"><b>Marks Obtained</b></th>
				<th width="100" align="center"><b>Percentage</b></th>
			</thead>
			</tr>';//Percentage

		$table5 .= '<tr nobr="true">
				<td width="100" align="center">'.$per_details['FQUALEXREGNO'].'</td>
				<td width="100" align="center">'.$per_details['FQMONTH'].' / '.$per_details['FQYEAR'].'</td>
				<td width="110" align="center">'.$per_details['FQMAXMARKS'].'</td>
				<td width="110" align="center">'.$per_details['FQSECMARKS'].'</td>
				<td width="100" align="center">'.$per_details['FQPERCENTAGE'].'</td>
			</tr>';

		$table5 .='</table>';
		//$pdf->SetX(12);
		$pdf->SetX(11);
		$pdf->writeHTML($table5, true, false, true, false, 'L');



		$html = '<h3 style="background-color: #918988; color: rgb(255, 255, 255);"> Documents Check List</h3>';
		$x = $pdf->GetX();
		$y = $pdf->GetY();
		$pdf->writeHTMLCell(188,0,$x,$y,$html, false,1, false, true, '', false);
		$pdf->ln(1);
		
		
		$table5 = '<style>
		td, th {
		    border: 0.5px solid black;
		}
	 	</style>
	 	<table cellpadding="2" cellspacing="0">
		<tr nobr="true">
			<th width="50" align="center"><b>Sl. No.</b></th>
			<th width="400" align="center"><b>Document</b></th>
			<th width="70" align="center"><b>Uploaded</b></th>
		</tr>';

		$i=1;
		
		foreach ($upload as $key => $value) 
		{

			$table5 .= '<tr nobr="true">
				<td width="50" align="center">'.$i.'</td>
				<td width="400" >'.$value['fcertdesc'].'</td>
				<td width="70" align="center" >'.$value['fstatus'].'</td></tr>';
				
			$i++;
		}

	

		$table5 .='</table>';
		$pdf->SetX(11);
		$pdf->writeHTML($table5, true, false, true, false, 'L');

		$pdf->ln(10);
		
		$pdf->SetFont('Times','B',10);
		$pdf->Cell(160,4,'Date',0,0,'L');
		$pdf->Cell(30,4,'Signature of the Student ',0,1,'R');
		

		$pdf->ln(3);	
		$pdf->SetFont('Times','BU',10);
		$pdf->Cell(180,4,'Note:',0,1,'L');
		$pdf->SetFont('Times','',11);
		$pdf->MultiCell(180,4,"1.  Merely submitting the application form and payment of admission fees does not entitle the candidate's",0,'J');
		$pdf->MultiCell(180,4,"       admission to the course unless and until all the documents are verified and found correct.",0,'L');
		$pdf->MultiCell(180,4,"2.   Any information given, if later found to be incorrect, the admission of the candidate will be cancelled without",0,'J');
		$pdf->MultiCell(180,4,"      prior notice to the concerned Principal or candidate.",0,'L');
		$pdf->MultiCell(180,4,"3.  The Principal will be solely held responsible for fake certificates / documents submitted from fake / non",0,'J');
		$pdf->MultiCell(180,4,"       recognized Boards / Institutions.",0,'L');
		$pdf->SetFont('Times','B',10);
		$pdf->ln(10);
		$pdf->Cell(160,4,'Date:',0,0,'L');
		$pdf->Cell(30,4,'Signature of the Principal with Seal',0,1,'R');
		$pdf->ln(2);
		$pdf->AddPage();
		$pdf->ln(10);	
		$table6 = '<style>
		td, th {
		    border: 0.5px solid black;
		}
	 	</style>
	 	<table cellpadding="3" cellspacing="0">
	 	<tr nobr="true">
				<th width="530" colspan="4" align="center"><b><b>FOR OFFICE USE ONLY ( UNIVERSITY )</b></b></th>
			</tr>
			<tr nobr="true"><th width="120" align="center"><b>Application No.</b></th>
				<th width="100" align="center"><b>Approved</b></th>
				<th width="100" align="center"><b>Approval Sl. No.</b></th>
				<th width="210" align="center"><b>Remarks</b></th>
			</tr>';

		$table6 .= '<tr nobr="true">
		<td width="120" style = "text-align:center;">'.$per_details['FAPPNO'].'</td>
		<td width="100"></td>
		<td width="100"></td>
		<td width="210"></td>
			</tr>';
		$table6 .='</table>';
		$pdf->SetX(11);
		$pdf->writeHTML($table6, true, false, true, false, 'L');
		
		$pdf->ln(2);
		$pdf->Cell(180,4,'Signature of the Verifier:',0,1,'C');
		$pdf->ln(5);
		$pdf->Cell(160,4,'Signature of the Superintendent',0,0,'L');	
		$pdf->Cell(30,4,'Signature of the Asst.Reg.',0,1,'R');	
		$pdf->ln(13);
		$pdf->Cell(180,4,'Registrar',0,1,'C');
	}
		
	function SendOutput()
	{
		$this->pdf->Output("Application_letter{$this->current_date}.pdf","D");
	}	 
}

function printApplication($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	
	$get_coll_name="select FUNIVNAME as 'FUNIVNAME',FUNIVCODE,
		FUNIVADD1 as 'state', pdf_logo_path,
		ifnull(FEXAMAPPREQ,'F') as FEXAMAPPREQ From control";

	$lobj_get_coll_name=$aobj_context->mobj_db->GetRow($get_coll_name);

	$app_no = trim($aobj_context->mobj_data["app_no"]);

	$per_details_query = "select sa.FNAME,sa.FAPPNO, sa.FFATNAME,sa.FCOLLCODE,sa.fslno, sa.fcollcode,
	sa.FMOTNAME, if(ifnull(sa.fgender,'') = 'M','Male',if(ifnull(sa.fgender,'') = 'F','Female','Transgender')) as FSEX,
	replace(replace(ifnull(sa.fblood_group,''),'P','+'),'M','-') as fblood_group,
	ifnull(sa.freligion,'') as freligion,
	ifnull(FCATBIRTH,'') as FCATBIRTH, ifnull(sa.FCASTE,'') as FCASTE,
	sa.FNATIONAL, date_format(sa.FDOB,'%d/%m/%Y') as fdob, 
	date_format(sa.FADMDATE,'%d/%m/%Y') as FADMDATE, sa.FAADHARNO,
	concat(ifnull(sa.FCURRADD1,''),' ', ifnull(sa.FCURRADD2,''), ' ', 
	ifnull(sa.FCURRADD3,''),' ', ifnull(sa.FCOMDIST,''), ' ', 
	ifnull(sa.FCOMSTATE,''), ' - ', ifnull(sa.FCOMPINCODE,'') ) as fcuradd, 
	concat(ifnull(sa.FPERMADD1,''),' ', ifnull(sa.FPERMADD2,''), ' ', 
	ifnull(sa.FPERMADD3,''),' ', ifnull(sa.FPERDIST,''), ' ', 
	ifnull(sa.FPERSATE,''), ' - ', ifnull(sa.FPERPINCODE,'')) as fperadd, 
	ifnull(FMOBILE_NO,'') as fmobileno, 
	ifnull(sa.FCONTACT_NO,'') as FCONTACT_NO, ifnull(sa.FEMAIL,'') as FEMAIL, 
	sa.FINCOME, sa.FDEGREE, sa.FCOMBCODE,
	sa.FAADHARNO, dg.FEXAMNO, dg.fdescpn as fdegname,
	dg.fexamname as fexamname, CONCAT(cl.FCOLLNAME,', ',cl.FTOWN) as FCOLLNAME,
	ifnull(sa.FTYPEQUALEXAM,'') as FTYPEQUALEXAM, ifnull(sa.FUNIVNAME,'') as FUNIVNAME,
	ifnull(sa.FQUALEXREGNO,'') as FQUALEXREGNO,
	ifnull(sa.FAREA,'') as FAREA, ifnull(sa.FQMONTH,'') as FQMONTH, 
	ifnull(sa.FQYEAR,'') as FQYEAR, ifnull(sa.FQMAXMARKS,'') as FQMAXMARKS, 
	ifnull(sa.FQSECMARKS,'') as FQSECMARKS, ifnull(sa.FQPERCENTAGE,'') as FQPERCENTAGE, 
	ifnull(sa.fphotopath,'') as fphotopath, ifnull(FSIGNPATH,'') as fsignpath, 
	ifnull(sa.FTOTFEE,0) as FTOTFEE, ifnull(FADMFINE,0) as FADMFINE
	FROM studadm sa inner join degree dg 
	on sa.fdegree = dg.fdegree
	and sa.fexamno = dg.fexamno inner join college cl
	on sa.fcollcode = cl.fcollcode
	WHERE sa.FAPPNO = '{$app_no}'";
	$per_details = $aobj_context->mobj_db->GetAll($per_details_query);

	$class_obj = new AddmissionApplication();
	
	$class_obj->DefaultConstructor($aobj_context);

	foreach($per_details as $key => $value)
	{
		$class_obj = new AddmissionApplication();
		$aobj_context->FAPPNO = $value['FAPPNO'];
		$aobj_context->fcollcode = $value['fcollcode'];
		$aobj_context->fdegree = $value['FDEGREE'];
		$class_obj->DefaultConstructor($aobj_context);

		$subject_query = "select distinct su.fsubcode, su.fsubname, su.fsubshort
		from subject su inner join options op 
		on su.fdegree = op.fdegree
		and su.fexamno = op.fexamno
		and su.fsubcode = op.fsubcode
		where fappno = '{$value['FAPPNO']}'
		order by su.fsubcode";
		$subjects = $aobj_context->mobj_db->GetAll($subject_query);


		$query = "SELECT m.fcertdesc, m.FFILENAME, IF(IFNULL(s.app_no,'') = '','No','Yes') AS fstatus ,
		s.file_path FROM masdoc m LEFT JOIN studoc s ON 
		m.ffilename = s.fdoctype and IFNULL(s.login_cnt,'') = '{$aobj_context->FAPPNO}' AND s.fdegree = '{$aobj_context->fdegree}' 
		AND s.fcollcode = '{$aobj_context->fcollcode}' GROUP BY m.FFILENAME ORDER BY m.forder";
		//var_dump($query);
		$upload = $aobj_context->mobj_db->GetAll($query);

	
		$class_obj->writeApplication($value, $subjects,$upload);
	}
	
	$class_obj->SendOutput();
}

?>